Bug 1790537 - openshift-install version not updated at extraction-time
Summary: openshift-install version not updated at extraction-time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.3.z
Assignee: W. Trevor King
QA Contact: yangyang
URL:
Whiteboard:
Depends On: 1715001 1773257
Blocks: 1728714 1775718
TreeView+ depends on / blocked
 
Reported: 2020-01-13 15:00 UTC by W. Trevor King
Modified: 2020-02-25 06:18 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1773257
Environment:
Last Closed: 2020-02-25 06:17:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2907 None closed Bug 1790537: pkg/version: Prepare of extract-time oc version injection 2020-06-23 01:54:50 UTC
Github openshift oc pull 249 None closed Bug 1790537: pkg/cli/admin/release/extract_tools: Inject release version into installer 2020-06-23 01:54:50 UTC
Red Hat Product Errata RHBA-2020:0528 None None None 2020-02-25 06:18:15 UTC

Description W. Trevor King 2020-01-13 15:00:49 UTC
+++ This bug was initially created as a clone of Bug #1773257 +++

$ oc adm release extract --command=openshift-install quay.io/openshift-release-dev/ocp-release:4.2.7
$ ./openshift-install version
./openshift-install v4.2.5
built from commit 425e4ff0037487e32571258640b39f56d5ee5572
release image quay.io/openshift-release-dev/ocp-release@sha256:bac62983757570b9b8f8bc84c740782984a255c16372b3e30cfc8b52c0a187b9

Is potentially confusing, with the 4.2.7 installer printing 4.2.5 because the only installer thing that changed is the pinned release pullspec and ART hadn't bothered to rebuild the installer because the pullspec is injected automatically when oc extracts the installer.  oc should inject the release version as well, so the output would be:

./openshift-install v4.2.7
...

--- Additional comment from W. Trevor King on 2019-11-23 05:22:09 UTC ---

Blocked by bug 1775875, but I'm not going to record that in structured Bugzilla metadata, because it would confuse the Bugzilla-labeling Prow bot.

--- Additional comment from W. Trevor King on 2019-12-06 23:35:40 UTC ---



--- Additional comment from Clayton Coleman on 2020-01-11 17:25:13 UTC ---

This severity is high because it’s confusing users.

--- Additional comment from W. Trevor King on 2020-01-13 14:58:44 UTC ---

neither installer#249 nor oc#165 made it into release-4.3.  I'll clone a new bug for 4.3.

Comment 1 W. Trevor King 2020-01-13 15:14:34 UTC
Also needs the installer-side PR to land and get cherry-picked back [1].

[1]: https://github.com/openshift/installer/pull/2682#issuecomment-573705919

Comment 2 Greg Blomquist 2020-01-14 14:29:07 UTC
Both PRs are green, but need to be tagged "cherry pick approved".

Comment 3 Scott Dodson 2020-01-14 15:21:48 UTC
This is minor presentation change and not a 4.3.0 blocker.

Comment 6 yangyang 2020-02-17 04:00:56 UTC
Verified with 4.3.0-0.nightly-2020-02-16-235204

Steps of verification are as below:

# oc adm release extract --tools registry.svc.ci.openshift.org/ocp/release:4.3.0-0.nightly-2020-02-16-235204

# tar -C /usr/local/bin/ -xvf openshift-install-linux-4.3.0-0.nightly-2020-02-16-235204.tar.gz 

# openshift-install version
openshift-install 4.3.0-0.nightly-2020-02-16-235204
built from commit c7325a3c6045c7f4c8f1ac98d037ffca919be05a
release image registry.svc.ci.openshift.org/ocp/release@sha256:a7f678449e50437d0d1e29a57dc4fc1d5321a730ea642a3cbbf1aec9463fdedc

Installer reports correct version hence moving it to verified state

Comment 7 yangyang 2020-02-17 07:10:56 UTC
Please ignore comment#6

Updating the verified procedures as below:
# oc version 
Client Version: 4.3.0-0.nightly-2020-02-16-235204

# oc adm release extract --command=openshift-install registry.svc.ci.openshift.org/ocp/release:4.3.0-0.nightly-2020-02-16-235204 --to=/usr/local/bin

# openshift-install version
openshift-install 4.3.0-0.nightly-2020-02-16-235204
built from commit c7325a3c6045c7f4c8f1ac98d037ffca919be05a
release image registry.svc.ci.openshift.org/ocp/release@sha256:a7f678449e50437d0d1e29a57dc4fc1d5321a730ea642a3cbbf1aec9463fdedc


The installer version is same as the nightly build version which is expected.

Comment 9 errata-xmlrpc 2020-02-25 06:17:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0528


Note You need to log in before you can comment on or make changes to this bug.